## GFilterInputStream

GFilterInputStream — Filter Input Stream

## Synopsis

    #include <gio/gio.h>

                        GFilterInputStream;
    GInputStream *      g_filter_input_stream_get_base_stream
                                                            (GFilterInputStream *stream);

## Object Hierarchy

      GObject
       +----GInputStream
             +----GFilterInputStream
                   +----GBufferedInputStream

## Properties

      "base-stream"              GInputStream*         : Read / Write / Construct Only

## Description

## Details

### GFilterInputStream

    typedef struct _GFilterInputStream GFilterInputStream;

A base class for all input streams that work on an underlying stream.

### g_filter_input_stream_get_base_stream ()

    GInputStream *      g_filter_input_stream_get_base_stream
                                                            (GFilterInputStream *stream);

Gets the base stream for the filter stream.

`stream` : | a GFilterInputStream.
Returns : | a GInputStream.

## Property Details

### The `"base-stream"` property

      "base-stream"              GInputStream*         : Read / Write / Construct Only

The underlying base stream the io ops will be done on.